org.apache.cassandra.thrift

## Class Cassandra.AsyncClient.describe_keyspace_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall
  - - org.apache.cassandra.thrift.Cassandra.AsyncClient.describe_keyspace_call

Enclosing class:
  Cassandra.AsyncClient

    public static class Cassandra.AsyncClient.describe_keyspace_call
    extends org.apache.thrift.async.TAsyncMethodCall

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

`org.apache.thrift.async.TAsyncMethodCall.State`

### Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

`client, transport`

### Constructor Summary

Constructors
Constructor and Description
`describe_keyspace_call(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`KsDef` `getResult()`
`void` `write_args(org.apache.thrift.protocol.TProtocol prot)`

### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall, transition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### describe_keyspace_call

    public describe_keyspace_call(java.lang.String keyspace,
                                  org.apache.thrift.async.AsyncMethodCallback resultHandler,
                                  org.apache.thrift.async.TAsyncClient client,
                                  org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                  org.apache.thrift.transport.TNonblockingTransport transport)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### Method Detail

#### write_args

    public void write_args(org.apache.thrift.protocol.TProtocol prot)
                    throws org.apache.thrift.TException

Specified by:
  `write_args` in class `org.apache.thrift.async.TAsyncMethodCall`
Throws:
  `org.apache.thrift.TException`

#### getResult

    public KsDef getResult()
                    throws NotFoundException,
                           InvalidRequestException,
                           org.apache.thrift.TException

Throws:
  `NotFoundException`
  `InvalidRequestException`
  `org.apache.thrift.TException`